RDKit: RDKit::FMCS::SeedSet Class Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
RDKit::FMCS::SeedSet Class Reference

`#include <SeedSet.h>`

## Public Types
typedef Seed | Value
typedef ValueSet::iterator | iterator
typedef ValueSet::const_iterator | const_iterator

## Public Member Functions
void | clear ()
void | erase (iterator where)
size_t | size ()
bool | empty ()
iterator | begin ()
iterator | end ()
Value & | front ()
const_iterator | begin () const
const_iterator | end () const
const Value & | front () const
Value & | push_back (const Value &seed)
Value & | add (const Value &seed)

## Detailed Description

Definition at line 18 of file SeedSet.h.

## Member Typedef Documentation

typedef ValueSet::const_iterator RDKit::FMCS::SeedSet::const_iterator

Definition at line 26 of file SeedSet.h.

typedef ValueSet::iterator RDKit::FMCS::SeedSet::iterator

Definition at line 25 of file SeedSet.h.

typedef Seed RDKit::FMCS::SeedSet::Value

Definition at line 24 of file SeedSet.h.

## Member Function Documentation

Value& RDKit::FMCS::SeedSet::add | ( | const Value & | seed | ) |
| inline

Definition at line 46 of file SeedSet.h.

References RDKit::FMCS::Seed::getNumBonds(), and RDKit::FMCS::Seed::setMoleculeFragment().

iterator RDKit::FMCS::SeedSet::begin | ( |  | ) |
| inline

Definition at line 35 of file SeedSet.h.

const_iterator RDKit::FMCS::SeedSet::begin | ( |  | ) | const
| inline

Definition at line 38 of file SeedSet.h.

void RDKit::FMCS::SeedSet::clear | ( |  | ) |
| inline

Definition at line 29 of file SeedSet.h.

bool RDKit::FMCS::SeedSet::empty | ( |  | ) |
| inline

Definition at line 34 of file SeedSet.h.

iterator RDKit::FMCS::SeedSet::end | ( |  | ) |
| inline

Definition at line 36 of file SeedSet.h.

const_iterator RDKit::FMCS::SeedSet::end | ( |  | ) | const
| inline

Definition at line 39 of file SeedSet.h.

void RDKit::FMCS::SeedSet::erase | ( | iterator | where | ) |
| inline

Definition at line 30 of file SeedSet.h.

Value& RDKit::FMCS::SeedSet::front | ( |  | ) |
| inline

Definition at line 37 of file SeedSet.h.

const Value& RDKit::FMCS::SeedSet::front | ( |  | ) | const
| inline

Definition at line 40 of file SeedSet.h.

Value& RDKit::FMCS::SeedSet::push_back | ( | const Value & | seed | ) |
| inline

Definition at line 42 of file SeedSet.h.

size_t RDKit::FMCS::SeedSet::size | ( |  | ) |
| inline

Definition at line 31 of file SeedSet.h.

The documentation for this class was generated from the following file:

- SeedSet.h